# coding: utf-8

"""
    interactive::player

    This is the server managing submitted code and actions on them  # noqa: E501

    The version of the OpenAPI document: 0.0.2
    Contact: yoogottam.khandelwal@students.iiit.ac.in
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import player_client
from player_client.models.inline_object1 import InlineObject1  # noqa: E501
from player_client.rest import ApiException

class TestInlineObject1(unittest.TestCase):
    """InlineObject1 unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test InlineObject1
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = player_client.models.inline_object1.InlineObject1()  # noqa: E501
        if include_optional :
            return InlineObject1(
                state = 42
            )
        else :
            return InlineObject1(
        )

    def testInlineObject1(self):
        """Test InlineObject1"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
